Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport.http
Class SoapHttpTransport.FaultResponseCodeHandler

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandler
          org.codehaus.xfire.transport.http.SoapHttpTransport.FaultResponseCodeHandler

All Implemented Interfaces:
  Handler

Enclosing class:
  SoapHttpTransport

    public class SoapHttpTransport.FaultResponseCodeHandler

extends AbstractHandler

Field Summary

Fields inherited from interface org.codehaus.xfire.handler.Handler
`ROLE`

Constructor Summary
`SoapHttpTransport.FaultResponseCodeHandler()`

Method Summary
`java.lang.String` | `getPhase()` The phase which this handler would like to be in.
`void` | `invoke(MessageContext context)` Invoke a handler.

Methods inherited from class org.codehaus.xfire.handler.AbstractHandler
`getRoles, getUnderstoodHeaders, handleFault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapHttpTransport.FaultResponseCodeHandler

    public SoapHttpTransport.FaultResponseCodeHandler()

Method Detail

### getPhase

    public java.lang.String getPhase()

  Description copied from interface: `Handler`
  The phase which this handler would like to be in.

  Specified by:
    `getPhase` in interface `Handler`
  Overrides:
    `getPhase` in class `AbstractHandler`
  Returns:
  See Also:
    `Phase`

### invoke

    public void invoke(MessageContext context)

  Description copied from interface: `Handler`
  Invoke a handler. If a fault occurs it will be handled via the `handleFault` method.

  Parameters:
    `context` -
  Throws:
    `java.lang.Exception`
  See Also:
    `Handler.invoke(org.codehaus.xfire.MessageContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.